Package org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerWholeBinary

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<ByteBuffer>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBinary

All Implemented Interfaces:
  `MessageHandler`, `MessageHandler.Whole<ByteBuffer>`, `WrappedMessageHandler`

    public class PojoMessageHandlerWholeBinary
    extends PojoMessageHandlerWholeBase<ByteBuffer>

ByteBuffer specific concrete implementation for handling whole messages.

### Nested Class Summary

### Nested classes/interfaces inherited from interface jakarta.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`decoders`

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

### Constructor Summary

Constructors
`PojoMessageHandlerWholeBinary​(Object pojo, Method method, Session session, EndpointConfig config, List<Class<? extends Decoder>> decoderClazzes, Object[] params, int indexPayload, boolean convert, int indexSession, boolean isForInputStream, long maxMessageSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `convert​(ByteBuffer message)`
`protected Object` `decode​(ByteBuffer message)`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`createDecoderInstance, onClose, onMessage`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoMessageHandlerWholeBinary

    public PojoMessageHandlerWholeBinary​(Object pojo,
                                         Method method,
                                         Session session,
                                         EndpointConfig config,
                                         List<Class<? extends Decoder>> decoderClazzes,
                                         Object[] params,
                                         int indexPayload,
                                         boolean convert,
                                         int indexSession,
                                         boolean isForInputStream,
                                         long maxMessageSize)

### Method Detail

#### decode

    protected Object decode​(ByteBuffer message)
                     throws DecodeException

Specified by:
  `decode` in class `PojoMessageHandlerWholeBase<ByteBuffer>`
Throws:
  `DecodeException`

#### convert

    protected Object convert​(ByteBuffer message)

Overrides:
  `convert` in class `PojoMessageHandlerWholeBase<ByteBuffer>`